summaryrefslogtreecommitdiffstats
path: root/package/radvd/files
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-04 22:12:17 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-04 22:12:17 +0000
commita20aa237203f613553e01e56484b2164e863a80a (patch)
tree675d403c2bf316e8f7fb8df0f7af51661a0e5a22 /package/radvd/files
parent727a465c4f4e113e173a6e0e78b00c6f95475b36 (diff)
add aiccu, bwm, ntpclient and radvd (from Sebastian Noel)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@562 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/radvd/files')
-rwxr-xr-xpackage/radvd/files/S51radvd22
-rw-r--r--package/radvd/files/radvd.conf.example22
2 files changed, 44 insertions, 0 deletions
diff --git a/package/radvd/files/S51radvd b/package/radvd/files/S51radvd
new file mode 100755
index 000000000..88565db48
--- /dev/null
+++ b/package/radvd/files/S51radvd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "$1" in
+ start)
+ echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
+ /usr/sbin/radvd
+ ;;
+
+ stop)
+ killall radvd
+ echo 0 > /proc/sys/net/ipv6/conf/all/forwarding
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
diff --git a/package/radvd/files/radvd.conf.example b/package/radvd/files/radvd.conf.example
new file mode 100644
index 000000000..06d835704
--- /dev/null
+++ b/package/radvd/files/radvd.conf.example
@@ -0,0 +1,22 @@
+# For more examples, see the radvd documentation.
+
+interface br0
+{
+ AdvSendAdvert off;
+
+#
+# Disable Mobile IPv6 support
+#
+ AdvHomeAgentFlag off;
+
+#
+# example of a standard prefix
+#
+ prefix fec0:0:0:1::/64
+ {
+ AdvOnLink on;
+ AdvAutonomous on;
+ AdvRouterAddr off;
+ };
+
+};